﻿using System;

namespace BGShell.PowerShell.Controls
{
    [Serializable]
    public sealed class ConsoleControlClosedEventArgs : EventArgs
    {
        private readonly int _exitCode;

        public ConsoleControlClosedEventArgs(int exitCode)
        {
            _exitCode = exitCode;
        }

        public int ExitCode
        {
            get { return _exitCode; }
        }
    }
}
