﻿using System;
using System.Drawing;
using System.Management.Automation;
using System.Runtime.InteropServices;
using System.Windows.Forms;
using BGShell.Interop;
using WindowsFormsAero;

namespace BGShell.PowerShell.LanguageService
{
    internal sealed class ParseErrorToolTip : AeroToolTip
    {
        public ParseErrorToolTip(PSLanguageService owner, String message, RichTextRange range)
            : base(owner.Control)
        {
            Text = message;
            Title = Resources.ParseErrorToolTipTitle;
            ControlLocation = range.EndPoint;
            MaxWidth = 350;
            Visible = true;
        }
    }
}