﻿using System;

namespace BGShell.PowerShell.Runspaces
{
    internal sealed class BGShellPipelineProxy : MarshalByRefObject
    {
        private readonly BGShellPipeline _pipe;
        private readonly BGShellPipelineExecutor _queue;

        internal BGShellPipelineProxy(BGShellPipelineExecutor queue, BGShellPipeline pipe)
	    {
            _pipe = pipe;
            _queue = queue;
	    }

        public void StopAsync()
        {
            _queue.StopPipeline(_pipe);
        }
    }
}
