﻿using System;
using System.Globalization;

namespace BGShell.PowerShell.Runspaces
{
    [Serializable]
    internal sealed class RunspaceHostInfo
    {
        public Guid InstanceID { get; set; }
        public Boolean IsBackground { get; set; }

        public CultureInfo CurrentCulture { get; set; }
        public CultureInfo CurrentUICulture { get; set; }

        public String Name { get; set; }
        public Version Version { get; set; }
    }
}
